package test;

import java.util.logging.Logger;
import javax.ejb.Remote;
import javax.ejb.Stateless;

@Stateless
@Remote(Ping.class)
public class PingStateless implements Ping {

	private static final String NODE = System.getProperty("jboss.node.name");
	private static final Logger log = Logger.getLogger(PingStateless.class.getSimpleName());

	public String ping() {
		log.info(NODE + ": ping received, sending pong");
		return NODE + ": pong";
	}

}
